<script setup lang="ts">
defineProps({
  to: String,
  href: String,
  menu: Boolean,
  autoHide: Boolean,
});
</script>

<template>
  <div class="mx-1 flex flex-col justify-center">
    <router-link
      class="px-2 py-1 border-y-3 border-transparent inline-block hover:bg-theme-text-link-hover transition-colors ease-in-out btn-radius rounded-[30px] font-bold hidden small-navbar:block sm-wide text-center"
      v-if="!!to"
      :to="to"
    >
      <slot />
    </router-link>
    <a
      class="cursor-pointer px-2 py-5 inline-block hover:bg-theme-text-link-hover transition-colors ease-in-out btn-radius font-bold hidden small-navbar:block sm-wide"
      v-if="!!href"
      :href="href"
    >
      <slot />
    </a>
    <a
      :class="{
        'cursor-pointer p-2 inline-block hover:bg-theme-text-link-hover transition-colors ease-in-out font-bold rounded-full': true,
        'hidden small-navbar:block': autoHide,
      }"
      v-if="!!menu"
    >
      <slot />
    </a>
  </div>
</template>

<style scoped>
.btn-radius {
  /*border-radius: 10px 10px 0 0;*/
}

.router-link-active,
.router-link-active:hover {
  display: block;
  background-color: transparent;
  border-bottom: 3px solid var(--theme-background);
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  cursor: default;
}
</style>
